package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import by;
import ci;
import com.adventurer_engine.common.gui_handler.BackpackInventory;
import com.adventurer_engine.network.RCsPacket;
import com.adventurer_engine.network.client2server.ClientBackpackHandlerPacket;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.common.network.PacketDispatcher;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import uf;

public class SendBackpackData extends RCsPacket {
  public static BackpackInventory clientInv;
  
  by invNBT;
  
  public SendBackpackData() {}
  
  public SendBackpackData(by invNBT) {
    this.invNBT = invNBT;
  }
  
  public void write(ByteArrayDataOutput out) throws IOException {
    byte[] nbtData = ci.a(this.invNBT);
    out.writeInt(nbtData.length);
    out.write(nbtData);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    int len = in.readInt();
    byte[] nbtData = new byte[len];
    in.readFully(nbtData);
    this.invNBT = ci.a(nbtData);
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isServer())
      return; 
    clientInv = new BackpackInventory(this.invNBT);
    PacketDispatcher.sendPacketToServer((new ClientBackpackHandlerPacket.AcknowledgeReceiveBackpackData()).makePacket());
  }
}
